Subject: Re: [PATCH] repack: respect --keep-pack with geometric repack

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 May 2022 15:12:32 -0700

Junio C Hamano <[email-masked]> writes:

>>> +			/*
>>> +			 * The pack may be kept via the --keep-pack option;
>>> +			 * check 'existing_kept_packs' to determine whether to
>>> +			 * ignore it.
>>> +			 */
>
> OK.  So there are two classes of packs we want to exclude from the
> geometry repacking.  Those that already have .pack_keep bit set, and
> those that are _are_ newly making into kept packs that do not yet
> have .pack_keep bit set.  Makes sense.

And with another topic in-flight combined, we have the third class
that we would want to exclude here, i.e. the ones that are "cruft".

(Noticed while rebuilding 'seen').